﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CycleTrack : MonoBehaviour
{

	[SerializeField] public List<Transform> Items = new List<Transform>();
	[SerializeField] AnimationCurve curve;

	public float scale = 1;
    
	private float yOffset = 0.5f;
	private float yMulty = 0.3f;


	private void OnEnable()
	{
		InitGO();
	}
	// Use this for initialization
	void Start()
	{

	}

	// Update is called once per frame
	void Update()
	{
		for (int i = 0; i < Items.Count; i++)
		{
			SetPos(Items[i]);
		}
	}

	public void InitGO(){
		Items.Clear();
		foreach (Transform item in transform)
		{
			Items.Add(item);
		}
	}

	public void SetPos(Transform child)
	{
		float number = child.transform.GetSiblingIndex();

		float timeOffset = (number / child.parent.childCount) * 2f;

		Vector2 pos = new Vector3(curve.Evaluate(Time.time + timeOffset), curve.Evaluate(Time.time + yOffset + timeOffset) * yMulty);
		pos *= scale;

		Vector2 temp = (pos - (Vector2)child.localPosition).normalized * Time.deltaTime * 3f;
		child.localPosition = new Vector3 (child.localPosition.x + temp.x, child.localPosition.y + temp.y, child.localPosition.z);
	}

}
