﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DelayKill : MonoBehaviour {

	private SpriteRenderer sprite;
	private float stageOne = 0.1f;
	private float stageTwo = 0.5f;
	private float timer = 0;

	[SerializeField] GameObject ToBeKilled;


	// Use this for initialization
	void Start () {
		sprite = GetComponent<SpriteRenderer>();
		if (sprite != null){
			StartCoroutine(DelayFadeOut());
		}
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	IEnumerator DelayFadeOut()
	{
		yield return new WaitForSeconds(stageOne);
		timer = Time.time + stageTwo;
		StartCoroutine(FadeOut());

        
	}
	IEnumerator FadeOut()
	{
		yield return new WaitForSeconds(0.1f);
		if (Time.time > timer){
			Destroy(ToBeKilled);
		}
		else {
			var c = sprite.color;
			c.a = Mathf.Lerp(0f, 1f, (timer - Time.time) / stageTwo);
			sprite.color = c;
			StartCoroutine(FadeOut());
		}
	}
}
