﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MenControl : MonoBehaviour {

	[SerializeField] Transform StopPoint;
	[SerializeField] Transform WarningPoint;

	[SerializeField] Transform PickupCollider;
    [SerializeField] private LayerMask WhatToPick;  
	const float PickRadius = 2f; // Radius of the overlap circle to determine if grounded

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {

		if(transform.position.x > StopPoint.position.x)
		{
			this.GetComponent<Rigidbody2D>().velocity = Vector2.zero;
		}

		if (transform.position.x > WarningPoint.position.x)
		{
			Main.Instance.Warning();
		}

	}


	private void FixedUpdate()
	{
		Collider2D[] colliders = Physics2D.OverlapCircleAll(PickupCollider.position, PickRadius, WhatToPick);
		for (int i = 0; i < colliders.Length; i++)
		{
			if (colliders[i].gameObject != gameObject)
			{

				if (colliders[i].gameObject.GetComponent<PooControl>())
				{
					colliders[i].gameObject.GetComponent<PooControl>().OnPoopLand();
					Main.Instance.Noise();
					Main.Instance.SlowTime(1f);
					this.gameObject.SetActive(false);
					Destroy(this.gameObject);
                    
				}
			}
		
		}
	}
}
