﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PickUpControl : MonoBehaviour {

	[SerializeField] Player myPlayer;

	[SerializeField] Transform PickupCollider;
	[SerializeField] private LayerMask WhatToPick;  
	const float PickRadius = 1.5f; // Radius of the overlap circle to determine if grounded


	// Use this for initialization
	void Start () {

	}
	
	// Update is called once per frame
	void Update () {
		
	}

	private void FixedUpdate()
    {
		Collider2D[] colliders = Physics2D.OverlapCircleAll(PickupCollider.position, PickRadius, WhatToPick);
		for (int i = 0; i < colliders.Length; i++)
        {
            if (colliders[i].gameObject != gameObject)
            {
				Debug.Log("Pickup :" + colliders[i].gameObject.name);

				if (colliders[i].gameObject.GetComponent<GoodFoodControl>()){
					myPlayer.OnGetGoodFood();
					Destroy(colliders[i].gameObject);
					colliders[i].gameObject.SetActive(false);
				}

				if (colliders[i].gameObject.GetComponent<BadFoodControl>())
                {
                    myPlayer.OnGetBadFood();
                    
                    Destroy(colliders[i].gameObject);
                    colliders[i].gameObject.SetActive(false);
                }

				if (colliders[i].gameObject.GetComponent<WoodControl>())
                {
					if (!colliders[i].gameObject.GetComponent<WoodControl>().IsOnBird)
					{
						colliders[i].gameObject.GetComponent<WoodControl>().IsOnBird = true;
						colliders[i].gameObject.GetComponent<WoodControl>().myBird = myPlayer.transform;
						myPlayer.OnGetWood();
						Main.Instance.PointWood(colliders[i].gameObject.transform.position);
						colliders[i].gameObject.transform.SetParent(this.transform);

					}
                }

            }
        }
    }
	}
