using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerMovement : MonoBehaviour {

	[SerializeField] Player player;
    
	[SerializeField] Transform upLimit;
	[SerializeField] Transform lowLimit;


	public CharacterController2D controller;
	public Animator animator;

	public float runSpeed = 40f;

	float horizontalMove = 0f;
	float vMove = 0f;
    
	bool jump = false;
	bool crouch = false;

	int myNumber = 1;

	private void Awake()
	{
		myNumber = player.playerNumber;
	}
	// Update is called once per frame
	void Update () {
		if (myNumber ==1 ) 
		{
			horizontalMove = Input.GetAxisRaw("Horizontal") * runSpeed;
            vMove = Input.GetAxisRaw("Vertical") * runSpeed;
		}else{
			horizontalMove = Input.GetAxisRaw("HorizontalTwo") * runSpeed;
            vMove = Input.GetAxisRaw("VerticalTwo") * runSpeed;
		}
        
		if(transform.position.x > upLimit.position.x) 
		{
			horizontalMove = Mathf.Min(horizontalMove, 0f);
		}

		if (transform.position.x  < lowLimit.position.x)
        {
            horizontalMove = Mathf.Max(horizontalMove, 0f);
        }

		if (transform.position.y > upLimit.position.y)
        {
			vMove = Mathf.Min(vMove, 0f);
        }

        if (transform.position.y < lowLimit.position.y)
        {
			vMove = Mathf.Max(vMove, 0f);
        }

		animator.SetFloat("Speed", Mathf.Abs(horizontalMove));

		//if (Input.GetButtonDown("Jump"))
		//{
		//	jump = true;
		//	animator.SetBool("IsJumping", true);
		//}

		//if (Input.GetButtonDown("Crouch"))
		//{
		//	crouch = true;
		//} else if (Input.GetButtonUp("Crouch"))
		//{
		//	crouch = false;
		//}

	}

	public void OnLanding ()
	{
		animator.SetBool("IsJumping", false);
	}

	public void OnCrouching (bool isCrouching)
	{
		animator.SetBool("IsCrouching", isCrouching);
	}

	void FixedUpdate ()
	{
		// Move our character
		if (Time.timeScale <= 0) { return; }
		controller.Move( new Vector2 ( horizontalMove * Time.fixedUnscaledDeltaTime , vMove * Time.fixedUnscaledDeltaTime) , crouch, jump);
		jump = false;
	}
}
