﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class SoundManager :  Singleton<SoundManager>
{
 
    [SerializeField] private AudioSource BGMAudio;
    [SerializeField] private AudioSource VoiceAudio;

	[SerializeField] List<AudioClip> audioClips;
	[SerializeField] AudioClip Special;

    private float voiceDoneTime = 0;

	private void Update()
	{
		voiceDoneTime--;
	}

	public void EndVoice()
    {
        AudioSource audioSource = VoiceAudio;
        if(audioSource) audioSource.Stop();
        StopAllCoroutines();
    }

	public void PlayVoice()
    {
		if (voiceDoneTime > 0) { return; }

		voiceDoneTime = 500f;

		int index = Random.Range(0, audioClips.Count);

        StartCoroutine(DelayPlay(index));
    }

    public void PlayVoice(int index, float delayTime = 0f)
    {
		StartCoroutine(DelayPlay(index,delayTime));
    }
    

	private IEnumerator DelayPlay( int index , float delayTime = 0f)
	{
        AudioSource audioSource = VoiceAudio;
        yield return new WaitForSeconds(delayTime);

		audioSource.clip = audioClips[index];
        audioSource.Play();
        
    }
    
}